## org.apache.jasper.compiler
Class IncludeGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.IncludeGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class IncludeGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

Generator for jsp:include.

Author:
  Anil K. Vijendran, Mandar Raje, Danno Ferrin

Field Summary
`protected JspCompilationContext` `ctxt`

Constructor Summary
`IncludeGenerator(Mark start, org.xml.sax.Attributes attrs, java.util.Hashtable param, boolean isXml)`

Method Summary
`void` `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` `generateCoordinates(java.lang.Class phase)`
`void` `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### IncludeGenerator

    public IncludeGenerator(Mark start,
                            org.xml.sax.Attributes attrs,
                            java.util.Hashtable param,
                            boolean isXml)
                     throws JasperException

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

  Specified by:
    `generate` in interface `Generator`

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.